Page MenuHomePhabricator

[COFF] Add parsing of mllvm command line options.
ClosedPublic

Authored by alberto_magni on Mar 27 2017, 4:18 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

alberto_magni created this revision.Mar 27 2017, 4:18 AM
ruiu accepted this revision.Mar 28 2017, 11:36 AM

LGTM

This revision is now accepted and ready to land.Mar 28 2017, 11:36 AM

I don't have commit access.
@ruiu can you please commit it ?
Thanks

ruiu added a comment.Mar 29 2017, 9:43 AM

But this needs testcase. Do you have one?

I can prepare one.
I am thinking about a test that uses mllvm to forward -time-passes, similarly to what ELF/lto/timepasses.ll does.
Would that be ok for you ?

ruiu added a comment.Mar 29 2017, 11:41 AM

Yes, I think that is fine.

alberto_magni removed a reviewer: lld.

Added test case for mllvm option.

My original idea was to test mllvm using the -time-passes option.
It turns out that lld-link does not perfom a full shutdown (and there is no -full-shutdown option available) when exiting.
So I opted for passing -debug-pass=Arguments and checking for the output string: "Pass Arguments:".

This revision was automatically updated to reflect the committed changes.